Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.anim
Class ANIMMovieTrack

    java.lang.Object
      org.monte.media.anim.ANIMMovieTrack

    public class ANIMMovieTrack

extends java.lang.Object

A movie track gives access to the static resources of a movie (image and audio data, global informations).

Version:
  1.6.3 2011-09-09 Fixes computation of total duration.
  1.6.2 2011-08-23 Animation frame duration was too long by 1 jiffie. method getTotalDuration always included time of wrapup frames, even if they were not played.
  1.6.1 2010-10-06 Fixes infinite recursion in method isPlayWrapupFrames.
  1.6 2009-12-24 Added support for color cycling.
  1.5 2009-11-20 Added support for videos which don't have wrapup frames.
  1.4 2005-09-16 Property "swapSpeakers" added.
  2005-01-22 Method isPlayWrapupFrames added.
  2004-12-30 Getter/Setter for nbPalettes added.
  1.1 2003-04-25 Wrapup frames can be treated like regular frames.
  1.0 1999-10-19
Author:
  Werner Randelshofer, Hausmatt 10, CH-6405 Immensee, Switzerland

Field Summary
`static int` | `CMP_BYTE_RUN_1`
`static int` | `CMP_NONE`
`static int` | `CMP_VERTICAL`
`static int` | `MODE_DIRECT_COLORS` Screenmodes.
`static int` | `MODE_EHB` Screenmodes.
`static int` | `MODE_HAM6` Screenmodes.
`static int` | `MODE_HAM8` Screenmodes.
`static int` | `MODE_INDEXED_COLORS` Screenmodes.
`static int` | `MSK_HAS_MASK`
`static int` | `MSK_HAS_TRANSPARENT_COLOR`
`static int` | `MSK_LASSO`
`static int` | `MSK_NONE`

Constructor Summary
`ANIMMovieTrack()`

Method Summary
`void` | `addAudioClip(java.applet.AudioClip clip)`
`void` | `addColorCycle(ColorCycle cc)`
`void` | `addFrame(ANIMFrame frame)`
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`java.applet.AudioClip` | `getAudioClip(int index)`
`int` | `getAudioClipCount()`
`java.util.List<ColorCycle>` | `getColorCycles()`
`int` | `getColorCyclesCount()`
`int` | `getCompression()`
`int` | `getDeltaOperation()` The return value of this method is only reliable when all frames of the movie have been loaded.
`ANIMFrame` | `getFrame(int index)`
`int` | `getFrameCount()`
`long` | `getFrameDuration(int index)` Timing for frame relative to previous frame.
`int` | `getHeight()`
`int` | `getInterleave()` Returns the interleave of frames in this movie track.
`int` | `getJiffies()`
`int` | `getMasking()`
`int` | `getNbPalettes()`
`int` | `getNbPlanes()`
`int` | `getPageHeight()`
`int` | `getPageWidth()`
`java.lang.Object` | `getProperty(java.lang.String name)` Gets a property.
`int` | `getScreenMode()`
`long` | `getTotalDuration()` Total playback time of the movie in Jiffies (1/60 second).
`int` | `getTransparentColor()`
`int` | `getWidth()`
`int` | `getXAspect()`
`int` | `getXPosition()`
`int` | `getYAspect()`
`int` | `getYPosition()`
`boolean` | `isPlayWrapupFrames()` Returns true, if the two wrapup frames at the end of the movie track are treated like regular frames.
`boolean` | `isSwapSpeakers()` Returns true if left and right speakers are swapped.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setCompression(int newValue)`
`void` | `setHeight(int newValue)`
`void` | `setJiffies(int newValue)`
`void` | `setMasking(int newValue)`
`void` | `setNbPlanes(int newValue)`
`void` | `setPageHeight(int newValue)`
`void` | `setPageWidth(int newValue)`
`void` | `setPlayWrapupFrames(boolean b)` Set this to true to treat the two wrapup frames at the end of the movie track like regular frames.
`void` | `setProperty(java.lang.String name, java.lang.Object newValue)` Sets a property.
`void` | `setScreenMode(int newValue)`
`void` | `setSwapSpeakers(boolean newValue)` Swaps left and right speakers if set to true.
`void` | `setTransparentColor(int newValue)`
`void` | `setWidth(int newValue)`
`void` | `setXAspect(int newValue)`
`void` | `setXPosition(int newValue)`
`void` | `setYAspect(int newValue)`
`void` | `setYPosition(int newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MSK_NONE

    public static final int MSK_NONE

See Also:
  Constant Field Values

### MSK_HAS_MASK

    public static final int MSK_HAS_MASK

See Also:
  Constant Field Values

### MSK_HAS_TRANSPARENT_COLOR

    public static final int MSK_HAS_TRANSPARENT_COLOR

See Also:
  Constant Field Values

### MSK_LASSO

    public static final int MSK_LASSO

See Also:
  Constant Field Values

### MODE_INDEXED_COLORS

    public static final int MODE_INDEXED_COLORS

  Screenmodes.

  See Also:
    Constant Field Values

### MODE_DIRECT_COLORS

    public static final int MODE_DIRECT_COLORS

  Screenmodes.

  See Also:
    Constant Field Values

### MODE_EHB

    public static final int MODE_EHB

  Screenmodes.

  See Also:
    Constant Field Values

### MODE_HAM6

    public static final int MODE_HAM6

  Screenmodes.

  See Also:
    Constant Field Values

### MODE_HAM8

    public static final int MODE_HAM8

  Screenmodes.

  See Also:
    Constant Field Values

### CMP_NONE

    public static final int CMP_NONE

See Also:
  Constant Field Values

### CMP_BYTE_RUN_1

    public static final int CMP_BYTE_RUN_1

See Also:
  Constant Field Values

### CMP_VERTICAL

    public static final int CMP_VERTICAL

See Also:
  Constant Field Values

Constructor Detail

### ANIMMovieTrack

    public ANIMMovieTrack()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object newValue)

  Sets a property.

  Parameters:
    `name` - The name of the property.
    `newValue` - The value of the property.

### setPlayWrapupFrames

    public void setPlayWrapupFrames(boolean b)

  Set this to true to treat the two wrapup frames at the end of the movie track like regular frames.

### isPlayWrapupFrames

    public boolean isPlayWrapupFrames()

  Returns true, if the two wrapup frames at the end of the movie track are treated like regular frames.

### getInterleave

    public int getInterleave()

  Returns the interleave of frames in this movie track. This is 2 for double buffered animations, and 1 one for animations without double buffering.

### setSwapSpeakers

    public void setSwapSpeakers(boolean newValue)

  Swaps left and right speakers if set to true.

### isSwapSpeakers

    public boolean isSwapSpeakers()

  Returns true if left and right speakers are swapped.

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Gets a property.

  Parameters:
    `name` - The name of the property.
  Returns:
    The value of the property or null if the property is not defined.

### setJiffies

    public void setJiffies(int newValue)

### setCompression

    public void setCompression(int newValue)

### setWidth

    public void setWidth(int newValue)

### setHeight

    public void setHeight(int newValue)

### setXPosition

    public void setXPosition(int newValue)

### setYPosition

    public void setYPosition(int newValue)

### setNbPlanes

    public void setNbPlanes(int newValue)

### setMasking

    public void setMasking(int newValue)

### setTransparentColor

    public void setTransparentColor(int newValue)

### setXAspect

    public void setXAspect(int newValue)

### setYAspect

    public void setYAspect(int newValue)

### setPageWidth

    public void setPageWidth(int newValue)

### setPageHeight

    public void setPageHeight(int newValue)

### setScreenMode

    public void setScreenMode(int newValue)

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

### getXPosition

    public int getXPosition()

### getYPosition

    public int getYPosition()

### getNbPlanes

    public int getNbPlanes()

### getNbPalettes

    public int getNbPalettes()

### getMasking

    public int getMasking()

### getTransparentColor

    public int getTransparentColor()

### getXAspect

    public int getXAspect()

### getYAspect

    public int getYAspect()

### getPageWidth

    public int getPageWidth()

### getPageHeight

    public int getPageHeight()

### getScreenMode

    public int getScreenMode()

### getJiffies

    public int getJiffies()

### getCompression

    public int getCompression()

### getDeltaOperation

    public int getDeltaOperation()

  The return value of this method is only reliable when all frames of the movie have been loaded.

### addFrame

    public void addFrame(ANIMFrame frame)

### addAudioClip

    public void addAudioClip(java.applet.AudioClip clip)

### getAudioClipCount

    public int getAudioClipCount()

### getAudioClip

    public java.applet.AudioClip getAudioClip(int index)

### getFrameCount

    public int getFrameCount()

### getFrame

    public ANIMFrame getFrame(int index)

### getFrameDuration

    public long getFrameDuration(int index)

  Timing for frame relative to previous frame.

### getTotalDuration

    public long getTotalDuration()

  Total playback time of the movie in Jiffies (1/60 second).

### addColorCycle

    public void addColorCycle(ColorCycle cc)

### getColorCycles

    public java.util.List<ColorCycle> getColorCycles()

### getColorCyclesCount

    public int getColorCyclesCount()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD